org.mariadb.jdbc.internal.mysql.listener.tools

## Class SearchFilter

- java.lang.Object
- - org.mariadb.jdbc.internal.mysql.listener.tools.SearchFilter

    public class SearchFilter
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SearchFilter(boolean searchForMaster, boolean searchForSlave)`
`SearchFilter(boolean searchForMaster, boolean searchForSlave, boolean initialConnection)`
`SearchFilter(boolean searchForMaster, boolean searchForSlave, boolean fineIfFoundOnlyMaster, boolean fineIfFoundOnlySlave)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isFineIfFoundOnlyMaster()`
`boolean` `isFineIfFoundOnlySlave()`
`boolean` `isInitialConnection()`
`boolean` `isSearchForMaster()`
`boolean` `isSearchForSlave()`
`boolean` `isUniqueLoop()`
`void` `setFineIfFoundOnlyMaster(boolean fineIfFoundOnlyMaster)`
`void` `setFineIfFoundOnlySlave(boolean fineIfFoundOnlySlave)`
`void` `setInitialConnection(boolean initialConnection)`
`void` `setSearchForMaster(boolean searchForMaster)`
`void` `setSearchForSlave(boolean searchForSlave)`
`void` `setUniqueLoop(boolean uniqueLoop)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SearchFilter

    public SearchFilter(boolean searchForMaster,
                        boolean searchForSlave)

#### SearchFilter

    public SearchFilter(boolean searchForMaster,
                        boolean searchForSlave,
                        boolean fineIfFoundOnlyMaster,
                        boolean fineIfFoundOnlySlave)

#### SearchFilter

    public SearchFilter(boolean searchForMaster,
                        boolean searchForSlave,
                        boolean initialConnection)

### Method Detail

#### isInitialConnection

    public boolean isInitialConnection()

#### setInitialConnection

    public void setInitialConnection(boolean initialConnection)

#### isFineIfFoundOnlyMaster

    public boolean isFineIfFoundOnlyMaster()

#### setFineIfFoundOnlyMaster

    public void setFineIfFoundOnlyMaster(boolean fineIfFoundOnlyMaster)

#### isFineIfFoundOnlySlave

    public boolean isFineIfFoundOnlySlave()

#### setFineIfFoundOnlySlave

    public void setFineIfFoundOnlySlave(boolean fineIfFoundOnlySlave)

#### isSearchForMaster

    public boolean isSearchForMaster()

#### setSearchForMaster

    public void setSearchForMaster(boolean searchForMaster)

#### isSearchForSlave

    public boolean isSearchForSlave()

#### setSearchForSlave

    public void setSearchForSlave(boolean searchForSlave)

#### isUniqueLoop

    public boolean isUniqueLoop()

#### setUniqueLoop

    public void setUniqueLoop(boolean uniqueLoop)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`